/* Copyright (c) 2013 The Chromium Authors. All rights reserved. */

/* This file declares backtrace functions glibc has. */

#ifndef _EXECINFO_H_
#define _EXECINFO_H_

#if defined(__cplusplus)
extern "C" {
#endif

int backtrace(void **buffer, int size);
char **backtrace_symbols(void *const *buffer, int size);
void backtrace_symbols_fd(void *const *buffer, int size, int fd);

#if defined(__cplusplus)
} /* extern "C" */
#endif

#endif /* _EXECINFO_H_ */
